Bug 187882 - Tkinter does not load due to libriry missing
Tkinter does not load due to libriry missing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 05:28 EDT by Sergio Pascual
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 8.4.0-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 05:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2006-04-04 05:28:00 EDT
Description of problem:
In fact this is a problem of the package tkinter, but it is not listed on the
component list in Buzgilla, sorry.

run python command line and load Tkinter. Tkinter fails loading.

Version-Release number of selected component (if applicable):
tkinter-2.4.2-3.2.1
tix-8.4.0-4


How reproducible:
Always

Steps to Reproduce:
1. run python command line
2. import Tkinter
3.
  
Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.4/lib-tk/Tkinter.py", line 38, in ?
    import _tkinter # If this fails your Python may not be configured for Tk
ImportError: libTix8.4.so: cannot open shared object file: No such file or directory


Expected results:


Additional info:
Package tix has moved libTix8.4.so from /usr/lib/libTix8.4.so to
/usr/lib/Tix8.4/libTix8.4.so and /usr/lib/python2.4/lib-dynload/_tkinter.so
can not find libTix. Should tkinter be rebuilt to be able to find ibTix8.4.so in
its new location?

Note You need to log in before you can comment on or make changes to this bug.